PDF Guide: Tiếng Việt Tiếng Việt English English

API Endpoints - Đọc dữ liệu (GET)

Các endpoint GET để lấy dữ liệu phòng, availability, bookings

API Endpoints - Đọc dữ liệu (GET)

GET /room_types

Lấy danh sách tất cả loại phòng đang hoạt động.

GET /sco_pms_be/sco_pms_be_api/room_types
Authorization: Bearer {api_key}

GET /availability

Lấy giá và tình trạng phòng theo khoảng ngày.

GET /sco_pms_be/sco_pms_be_api/availability?date_from=2026-04-01&date_to=2026-04-30
Authorization: Bearer {api_key}

GET /export_bookings

Xuất danh sách đặt phòng, có thể filter theo ngày và trạng thái.

GET /sco_pms_be/sco_pms_be_api/export_bookings?date_from=2026-01-01&date_to=2026-12-31&status=Confirmed
Authorization: Bearer {api_key}

GET /export_rooms

Xuất danh sách phòng vật lý.

GET /sco_pms_be/sco_pms_be_api/export_rooms
Authorization: Bearer {api_key}